> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Calls

> Returns a paginated list of call sessions.



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json get /v1/voice/calls
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/voice/calls:
    get:
      tags:
        - Calls
      summary: List Calls
      description: Returns a paginated list of call sessions.
      parameters:
        - schema:
            type: string
            example: clxyz123
          required: true
          name: location_id
          in: query
        - schema:
            type: string
          required: false
          name: status
          in: query
        - schema:
            type: string
          required: false
          name: direction
          in: query
        - schema:
            type: string
          required: false
          name: category
          in: query
        - schema:
            type: string
            example: '2025-01-01T00:00:00Z'
          required: false
          name: since
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 25
            example: 25
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
      responses:
        '200':
          description: Paginated list of calls
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CallSummary'
                  pagination:
                    type: object
                    properties:
                      has_more:
                        type: boolean
                      next_cursor:
                        type: string
                    required:
                      - has_more
                  request_id:
                    type: string
                required:
                  - data
                  - pagination
                  - request_id
      security:
        - bearerAuth: []
components:
  schemas:
    CallSummary:
      type: object
      properties:
        id:
          type: string
        call_id:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        direction:
          type: string
          nullable: true
        caller_number:
          type: string
          nullable: true
        duration:
          type: number
          nullable: true
        summary:
          type: string
          nullable: true
        sentiment:
          type: string
          nullable: true
        category:
          type: string
          nullable: true
        call_successful:
          type: boolean
          nullable: true
        started_at:
          type: string
          nullable: true
          format: date-time
        ended_at:
          type: string
          nullable: true
          format: date-time
        agent:
          type: object
          nullable: true
          properties:
            id:
              type: string
            name:
              type: string
              nullable: true
          required:
            - id
            - name
        patient:
          type: object
          nullable: true
          properties:
            id:
              type: string
            first_name:
              type: string
              nullable: true
            last_name:
              type: string
              nullable: true
          required:
            - id
            - first_name
            - last_name
      required:
        - id
        - call_id
        - status
        - direction
        - caller_number
        - duration
        - summary
        - sentiment
        - category
        - call_successful
        - started_at
        - ended_at
        - agent
        - patient
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````